Bulk reassign agents
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/agents/bulk_reassign
-
POST
/s/{space_id}/api/fleet/agents/bulk_reassign
Auth
Reassign multiple agents to a different agent policy.
-
Privileges
fleet-agents-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
agents
union string[] | string
required
-
includeInactive
boolean · default: false
-
policy_id
string · min length: 0
required
-
attributes
object
required
Thank you for your feedback.